com.sun.java.xml.ns.javaee

## Class MimeMappingType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.MimeMappingType

-     public class MimeMappingType
      extends Object

  The mime-mappingType defines a mapping between an extension and a mime type. Used in: web-app

  Java-Klasse für mime-mappingType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="mime-mappingType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="extension" type="{http://java.sun.com/xml/ns/javaee}string"/>
               <element name="mime-type" type="{http://java.sun.com/xml/ns/javaee}mime-typeType"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `extension`
    `protected String` | `id`
    `protected MimeTypeType` | `mimeType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MimeMappingType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExtension()` Ruft den Wert der extension-Eigenschaft ab.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `MimeTypeType` | `getMimeType()` Ruft den Wert der mimeType-Eigenschaft ab.
    `void` | `setExtension(String value)` Legt den Wert der extension-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setMimeType(MimeTypeType value)` Legt den Wert der mimeType-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### extension

          protected String extension

    - #### mimeType

          protected MimeTypeType mimeType

    - #### id

          protected String id

  - ### Constructor Detail

    - #### MimeMappingType

          public MimeMappingType()

  - ### Method Detail

    - #### getExtension

          public String getExtension()

      Ruft den Wert der extension-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setExtension

          public void setExtension(String value)

      Legt den Wert der extension-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getMimeType

          public MimeTypeType getMimeType()

      Ruft den Wert der mimeType-Eigenschaft ab.
      Returns:
        possible object is `MimeTypeType`

    - #### setMimeType

          public void setMimeType(MimeTypeType value)

      Legt den Wert der mimeType-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `MimeTypeType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.